from django.conf.urls import url
from django.conf.urls import include
from taggit_templatetags2 import urls as taggit_templatetags2_urls
from . import views

urlpatterns = [
    url(r'^$', views.post_list, name='post_list'),
    url(r'^student/', views.student_page, name='student_page'),
    url(r'^search/', views.blog_search_list_view, name='blog_search_list_view'),
    url(r'^post/(?P<pk>\d+)/$', views.post_detail, name='post_detail'),
    url(r'^post/new/$', views.post_new, name='post_new'),
    url(r'^post/(?P<pk>\d+)/edit/$', views.post_edit, name='post_edit'),
    url(r'^drafts/$', views.post_draft_list, name='post_draft_list'),
    url(r'^post/(?P<pk>\d+)/publish/$', views.post_publish, name='post_publish'),
    url(r'^post/(?P<pk>\d+)/remove/$', views.post_remove, name='post_remove'),
    url(r'^tags/', include('taggit_templatetags2.urls')),
]

